Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait Infer extends Checkable

  This trait contains methods related to type parameter inference.

  This trait contains methods related to type parameter inference.

  Definition Classes
    typechecker
  Version

    1.0

- AdjustedTypeArgs
- InferCheckable
- Inferencer
- NoInstance
- approximateAbstracts
- instantiate
- toOrigin

o

scala.tools.nsc.typechecker.Infer

# approximateAbstracts

###

#### object approximateAbstracts extends Global.TypeMap

Source
  Infer.scala

Linear Supertypes
Global.TypeMap, (Global.Type) => Global.Type, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. approximateAbstracts
2. TypeMap
3. Function1
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class TypeMapTransformer extends reflect.internal.SymbolTable.Transformer
   Definition Classes
     TypeMap

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def andThen[A](g: (Global.Type) => A): (Global.Type) => A
   Definition Classes
     Function1
   Annotations
     @unspecialized()
5.  def apply(tp: Global.Type): Global.Type
   Definition Classes
     approximateAbstracts → TypeMap → Function1
6.  def applyToSymbolInfo(sym: Global.Symbol, info: Global.Type): Global.Type
   Attributes
     protected
   Definition Classes
     TypeMap
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def compose[A](g: (A) => Global.Type): (A) => Global.Type
   Definition Classes
     Function1
   Annotations
     @unspecialized()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  def mapOver(tree: Global.Tree, giveup: () => Nothing): Global.Tree
    Definition Classes
      TypeMap
17.  def mapOver(tree: Global.Tree): Global.Tree
    Definition Classes
      TypeMap
18.  def mapOver(annot: Global.AnnotationInfo): Global.AnnotationInfo
    Definition Classes
      TypeMap
19.  def mapOver(origSyms: List[Global.Symbol]): List[Global.Symbol]
    Definition Classes
      TypeMap
20.  def mapOver(scope: Global.Scope): Global.Scope
    Definition Classes
      TypeMap
21.  def mapOver(tp: Global.Type): Global.Type
    Definition Classes
      TypeMap
22.  def mapOverAnnotArgs(args: List[Global.Tree]): List[Global.Tree]
    Definition Classes
      TypeMap
23.  def mapOverAnnotations(annots: List[Global.AnnotationInfo]): List[Global.AnnotationInfo]
    Definition Classes
      TypeMap
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      Function1 → AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Global.TypeMap

### Inherited from (Global.Type) => Global.Type

### Inherited from AnyRef

### Inherited from Any

### Ungrouped